/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestBean.java 62525 2011-04-15 12:14:31Z dougd $
 */
 
package com.sun.ts.tests.jsf.api.javax_faces.el.common;

public class TestBean {
    
    // Read-only property
    Integer readOnly = Integer.valueOf(1);

    // Read/Write property
    boolean writable = true;
    
    boolean onlyWritable = false;


    public Integer getReadOnly() {
        return readOnly;
    }


    public void setWritable(boolean writable) {
        this.writable = writable;
    }

    public boolean getWritable() {
        return writable;
    }
    
    public void setOnlyWritable(boolean onlyWritable) {
        this.onlyWritable = onlyWritable;
    }
}
